/*
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright 2015-2019 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.hawconsstroke;

import org.kordamp.ikonli.Ikon;

/**
 * @author Andres Almiray
 */
public enum HawconsStroke implements Ikon {
    // latest is e805
    HWS_AIR_SOCK("hws-air-sock", '\ue701'),
    HWS_AMUSED_FACE("hws-amused-face", '\ue73f'),
    HWS_AMUSED_FACE_CLOSED_EYES_1("hws-amused-face-closed-eyes-1", '\ue740'),
    HWS_AMUSED_FACE_CLOSED_EYES_2("hws-amused-face-closed-eyes-2", '\ue741'),
    HWS_ANGRY_FACE("hws-angry-face", '\ue728'),
    HWS_ANGRY_FACE_EYEBROWS("hws-angry-face-eyebrows", '\ue72b'),
    HWS_ANGRY_FACE_OPEN_MOUTH_EYEBROWS("hws-angry-face-open-mouth-eyebrows", '\ue73a'),
    HWS_ANGRY_FACE_TEETH("hws-angry-face-teeth", '\ue735'),
    HWS_ASTONISHED_FACE_1("hws-astonished-face-1", '\ue74d'),
    HWS_ASTONISHED_FACE_2("hws-astonished-face-2", '\ue74e'),
    HWS_AWARD_1("hws-award-1", '\ue6b5'),
    HWS_AWARD_2("hws-award-2", '\ue6b6'),
    HWS_AWARD_3("hws-award-3", '\ue6b7'),
    HWS_AWARD_4("hws-award-4", '\ue6b8'),
    HWS_BAROMETER("hws-barometer", '\ue6fc'),
    HWS_BASEBALL("hws-baseball", '\ue698'),
    HWS_BASEBALL_SET("hws-baseball-set", '\ue6a1'),
    HWS_BASKETBALL_1("hws-basketball-1", '\ue697'),
    HWS_BASKETBALL_2("hws-basketball-2", '\ue6a0'),
    HWS_BASKETBALL_HOOP("hws-basketball-hoop", '\ue6aa'),
    HWS_BILLIARD_BALL("hws-billiard-ball", '\ue69b'),
    HWS_BOOK("hws-book", '\ue61d'),
    HWS_BOOKMARK("hws-bookmark", '\ue611'),
    HWS_BOOKMARK_ADD("hws-bookmark-add", '\ue612'),
    HWS_BOOKMARK_REMOVE("hws-bookmark-remove", '\ue613'),
    HWS_BOOK_BOOKMARK("hws-book-bookmark", '\ue61e'),
    HWS_BOWLING_BALL("hws-bowling-ball", '\ue69a'),
    HWS_BOWLING_PINS("hws-bowling-pins", '\ue6c3'),
    HWS_BOWLING_PIN_BALL("hws-bowling-pin-ball", '\ue6c4'),
    HWS_BOXING_GLOVE("hws-boxing-glove", '\ue6bb'),
    HWS_BOX_1("hws-box-1", '\ue68a'),
    HWS_BOX_2("hws-box-2", '\ue68c'),
    HWS_BOX_3("hws-box-3", '\ue68d'),
    HWS_BOX_BOOKMARK("hws-box-bookmark", '\ue68e'),
    HWS_BOX_FILLED("hws-box-filled", '\ue68b'),
    HWS_CERTIFICATE("hws-certificate", '\ue688'),
    HWS_CHECKERED_FLAG("hws-checkered-flag", '\ue6be'),
    HWS_CLIPBOARD("hws-clipboard", '\ue622'),
    HWS_CLIPBOARD_ADD("hws-clipboard-add", '\ue620'),
    HWS_CLIPBOARD_CHECKED("hws-clipboard-checked", '\ue625'),
    HWS_CLIPBOARD_DOWNLOAD("hws-clipboard-download", '\ue623'),
    HWS_CLIPBOARD_EDIT("hws-clipboard-edit", '\ue61f'),
    HWS_CLIPBOARD_LIST("hws-clipboard-list", '\ue627'),
    HWS_CLIPBOARD_MOVE("hws-clipboard-move", '\ue6b4'),
    HWS_CLIPBOARD_REMOVE("hws-clipboard-remove", '\ue621'),
    HWS_CLIPBOARD_TEXT("hws-clipboard-text", '\ue626'),
    HWS_CLIPBOARD_UPLOAD("hws-clipboard-upload", '\ue624'),
    HWS_CLOUDS_1("hws-clouds-1", '\ue6dc'),
    HWS_CLOUDS_2("hws-clouds-2", '\ue6f0'),
    HWS_CLOUD_1("hws-cloud-1", '\ue682'),
    HWS_CLOUD_2("hws-cloud-2", '\ue6c9'),
    HWS_CLOUD_ADD("hws-cloud-add", '\ue6dd'),
    HWS_CLOUD_DOWNLOAD("hws-cloud-download", '\ue67f'),
    HWS_CLOUD_ERROR_1("hws-cloud-error-1", '\ue681'),
    HWS_CLOUD_ERROR_2("hws-cloud-error-2", '\ue6df'),
    HWS_CLOUD_FOG("hws-cloud-fog", '\ue6e0'),
    HWS_CLOUD_LIGHTNING("hws-cloud-lightning", '\ue6d2'),
    HWS_CLOUD_MOON("hws-cloud-moon", '\ue6cb'),
    HWS_CLOUD_MOON_FOG("hws-cloud-moon-fog", '\ue6e2'),
    HWS_CLOUD_MOON_LIGHTNING("hws-cloud-moon-lightning", '\ue6d4'),
    HWS_CLOUD_MOON_RAIN("hws-cloud-moon-rain", '\ue6ce'),
    HWS_CLOUD_MOON_RAINDROPS("hws-cloud-moon-raindrops", '\ue6d8'),
    HWS_CLOUD_MOON_SNOW("hws-cloud-moon-snow", '\ue6d1'),
    HWS_CLOUD_MOON_SNOWFLAKES("hws-cloud-moon-snowflakes", '\ue6db'),
    HWS_CLOUD_RAIN("hws-cloud-rain", '\ue6cc'),
    HWS_CLOUD_RAINDROPS("hws-cloud-raindrops", '\ue6d6'),
    HWS_CLOUD_REMOVE("hws-cloud-remove", '\ue6de'),
    HWS_CLOUD_SNOW("hws-cloud-snow", '\ue6cf'),
    HWS_CLOUD_SNOWFLAKES("hws-cloud-snowflakes", '\ue6d9'),
    HWS_CLOUD_SUN("hws-cloud-sun", '\ue6ca'),
    HWS_CLOUD_SUN_FOG("hws-cloud-sun-fog", '\ue6e1'),
    HWS_CLOUD_SUN_LIGHTNING("hws-cloud-sun-lightning", '\ue6d3'),
    HWS_CLOUD_SUN_RAIN("hws-cloud-sun-rain", '\ue6cd'),
    HWS_CLOUD_SUN_RAINDROPS("hws-cloud-sun-raindrops", '\ue6d7'),
    HWS_CLOUD_SUN_SNOW("hws-cloud-sun-snow", '\ue6d0'),
    HWS_CLOUD_SUN_SNOWFLAKES("hws-cloud-sun-snowflakes", '\ue6da'),
    HWS_CLOUD_UPLOAD("hws-cloud-upload", '\ue680'),
    HWS_CLOUD_WIND("hws-cloud-wind", '\ue6d5'),
    HWS_COMBINATION_LOCK("hws-combination-lock", '\ue677'),
    HWS_COMPASS_1("hws-compass-1", '\ue706'),
    HWS_COMPASS_2("hws-compass-2", '\ue707'),
    HWS_COMPASS_3("hws-compass-3", '\ue708'),
    HWS_COMPASS_4("hws-compass-4", '\ue709'),
    HWS_COMPASS_EAST("hws-compass-east", '\ue6ff'),
    HWS_COMPASS_NORTH("hws-compass-north", '\ue6fd'),
    HWS_COMPASS_SOUTH("hws-compass-south", '\ue700'),
    HWS_COMPASS_WEST("hws-compass-west", '\ue6fe'),
    HWS_CRESCENT_1("hws-crescent-1", '\ue6f5'),
    HWS_CRESCENT_2("hws-crescent-2", '\ue6fb'),
    HWS_DEGREE_CELSIUS("hws-degree-celsius", '\ue704'),
    HWS_DEGREE_FAHRENHEIT("hws-degree-fahrenheit", '\ue703'),
    HWS_DIVING_GOGGLES("hws-diving-goggles", '\ue6c5'),
    HWS_DOCUMENT("hws-document", '\ue635'),
    HWS_DOCUMENTS_1("hws-documents-1", '\ue646'),
    HWS_DOCUMENTS_2("hws-documents-2", '\ue647'),
    HWS_DOCUMENT_ADD("hws-document-add", '\ue64f'),
    HWS_DOCUMENT_BOOKMARK("hws-document-bookmark", '\ue63a'),
    HWS_DOCUMENT_CANCEL("hws-document-cancel", '\ue64d'),
    HWS_DOCUMENT_CERTIFICATE("hws-document-certificate", '\ue687'),
    HWS_DOCUMENT_CHECKED("hws-document-checked", '\ue64e'),
    HWS_DOCUMENT_CLOUD("hws-document-cloud", '\ue645'),
    HWS_DOCUMENT_CODE("hws-document-code", '\ue644'),
    HWS_DOCUMENT_DIAGRAMS("hws-document-diagrams", '\ue63b'),
    HWS_DOCUMENT_DOWNLOAD("hws-document-download", '\ue638'),
    HWS_DOCUMENT_EDIT("hws-document-edit", '\ue686'),
    HWS_DOCUMENT_ERROR("hws-document-error", '\ue64c'),
    HWS_DOCUMENT_FILE_3GP("hws-document-file-3gp", '\ue7fb'),
    HWS_DOCUMENT_FILE_AAC("hws-document-file-aac", '\ue7fd'),
    HWS_DOCUMENT_FILE_AI("hws-document-file-ai", '\ue7d3'),
    HWS_DOCUMENT_FILE_AIFF("hws-document-file-aiff", '\ue7fc'),
    HWS_DOCUMENT_FILE_APP("hws-document-file-app", '\ue7c7'),
    HWS_DOCUMENT_FILE_ASP("hws-document-file-asp", '\ue7e6'),
    HWS_DOCUMENT_FILE_AVI("hws-document-file-avi", '\ue7ed'),
    HWS_DOCUMENT_FILE_BMP("hws-document-file-bmp", '\ue7d4'),
    HWS_DOCUMENT_FILE_C("hws-document-file-c", '\ue7db'),
    HWS_DOCUMENT_FILE_CPP("hws-document-file-cpp", '\ue7de'),
    HWS_DOCUMENT_FILE_CSS("hws-document-file-css", '\ue7d0'),
    HWS_DOCUMENT_FILE_DAT("hws-document-file-dat", '\ue7e8'),
    HWS_DOCUMENT_FILE_DMG("hws-document-file-dmg", '\ue802'),
    HWS_DOCUMENT_FILE_DOC("hws-document-file-doc", '\ue7e1'),
    HWS_DOCUMENT_FILE_DOCX("hws-document-file-docx", '\ue7e4'),
    HWS_DOCUMENT_FILE_DOT("hws-document-file-dot", '\ue7f3'),
    HWS_DOCUMENT_FILE_DOTX("hws-document-file-dotx", '\ue7ef'),
    HWS_DOCUMENT_FILE_DWG("hws-document-file-dwg", '\ue7d5'),
    HWS_DOCUMENT_FILE_DXF("hws-document-file-dxf", '\ue7e0'),
    HWS_DOCUMENT_FILE_EPS("hws-document-file-eps", '\ue7d6'),
    HWS_DOCUMENT_FILE_EXE("hws-document-file-exe", '\ue7ec'),
    HWS_DOCUMENT_FILE_FLV("hws-document-file-flv", '\ue7f7'),
    HWS_DOCUMENT_FILE_GIF("hws-document-file-gif", '\ue805'),
    HWS_DOCUMENT_FILE_H("hws-document-file-h", '\ue7eb'),
    HWS_DOCUMENT_FILE_HTML("hws-document-file-html", '\ue7cf'),
    HWS_DOCUMENT_FILE_ICS("hws-document-file-ics", '\ue7e7'),
    HWS_DOCUMENT_FILE_ISO("hws-document-file-iso", '\ue803'),
    HWS_DOCUMENT_FILE_JAVA("hws-document-file-java", '\ue7d1'),
    HWS_DOCUMENT_FILE_JPG("hws-document-file-jpg", '\ue7cd'),
    HWS_DOCUMENT_FILE_KEY("hws-document-file-key", '\ue7ce'),
    HWS_DOCUMENT_FILE_M4V("hws-document-file-m4v", '\ue7f6'),
    HWS_DOCUMENT_FILE_MID("hws-document-file-mid", '\ue7fa'),
    HWS_DOCUMENT_FILE_MOV("hws-document-file-mov", '\ue7cc'),
    HWS_DOCUMENT_FILE_MP3("hws-document-file-mp3", '\ue7ca'),
    HWS_DOCUMENT_FILE_MP4("hws-document-file-mp4", '\ue7cb'),
    HWS_DOCUMENT_FILE_MPG("hws-document-file-mpg", '\ue7f8'),
    HWS_DOCUMENT_FILE_NUMBERS("hws-document-file-numbers", '\ue7c5'),
    HWS_DOCUMENT_FILE_ODP("hws-document-file-odp", '\ue7ee'),
    HWS_DOCUMENT_FILE_ODS("hws-document-file-ods", '\ue7f1'),
    HWS_DOCUMENT_FILE_ODT("hws-document-file-odt", '\ue7e2'),
    HWS_DOCUMENT_FILE_OTS("hws-document-file-ots", '\ue7d8'),
    HWS_DOCUMENT_FILE_OTT("hws-document-file-ott", '\ue800'),
    HWS_DOCUMENT_FILE_PAGES("hws-document-file-pages", '\ue7c6'),
    HWS_DOCUMENT_FILE_PDF("hws-document-file-pdf", '\ue7c9'),
    HWS_DOCUMENT_FILE_PHP("hws-document-file-php", '\ue7d9'),
    HWS_DOCUMENT_FILE_PNG("hws-document-file-png", '\ue7c8'),
    HWS_DOCUMENT_FILE_PPS("hws-document-file-pps", '\ue7f2'),
    HWS_DOCUMENT_FILE_PPT("hws-document-file-ppt", '\ue7e5'),
    HWS_DOCUMENT_FILE_PSD("hws-document-file-psd", '\ue7d2'),
    HWS_DOCUMENT_FILE_PY("hws-document-file-py", '\ue7da'),
    HWS_DOCUMENT_FILE_QT("hws-document-file-qt", '\ue7f9'),
    HWS_DOCUMENT_FILE_RAR("hws-document-file-rar", '\ue804'),
    HWS_DOCUMENT_FILE_RB("hws-document-file-rb", '\ue7dd'),
    HWS_DOCUMENT_FILE_RTF("hws-document-file-rtf", '\ue7f5'),
    HWS_DOCUMENT_FILE_SQL("hws-document-file-sql", '\ue7dc'),
    HWS_DOCUMENT_FILE_TGA("hws-document-file-tga", '\ue7df'),
    HWS_DOCUMENT_FILE_TGZ("hws-document-file-tgz", '\ue801'),
    HWS_DOCUMENT_FILE_TIFF("hws-document-file-tiff", '\ue7d7'),
    HWS_DOCUMENT_FILE_TXT("hws-document-file-txt", '\ue7f4'),
    HWS_DOCUMENT_FILE_WAV("hws-document-file-wav", '\ue7fe'),
    HWS_DOCUMENT_FILE_XLS("hws-document-file-xls", '\ue7e3'),
    HWS_DOCUMENT_FILE_XLSX("hws-document-file-xlsx", '\ue7f0'),
    HWS_DOCUMENT_FILE_XML("hws-document-file-xml", '\ue7e9'),
    HWS_DOCUMENT_FILE_YML("hws-document-file-yml", '\ue7ea'),
    HWS_DOCUMENT_FILE_ZIP("hws-document-file-zip", '\ue7ff'),
    HWS_DOCUMENT_FONT("hws-document-font", '\ue655'),
    HWS_DOCUMENT_FORBIDDEN("hws-document-forbidden", '\ue651'),
    HWS_DOCUMENT_GRAPH("hws-document-graph", '\ue641'),
    HWS_DOCUMENT_INFORMATION("hws-document-information", '\ue652'),
    HWS_DOCUMENT_LIST("hws-document-list", '\ue654'),
    HWS_DOCUMENT_LOCKED("hws-document-locked", '\ue64b'),
    HWS_DOCUMENT_MOVIE("hws-document-movie", '\ue63f'),
    HWS_DOCUMENT_MUSIC("hws-document-music", '\ue63e'),
    HWS_DOCUMENT_PLAY("hws-document-play", '\ue640'),
    HWS_DOCUMENT_RECORDING("hws-document-recording", '\ue63c'),
    HWS_DOCUMENT_REMOVE("hws-document-remove", '\ue650'),
    HWS_DOCUMENT_SCAN("hws-document-scan", '\ue67e'),
    HWS_DOCUMENT_SEARCH("hws-document-search", '\ue648'),
    HWS_DOCUMENT_SHRED("hws-document-shred", '\ue67c'),
    HWS_DOCUMENT_STAR("hws-document-star", '\ue649'),
    HWS_DOCUMENT_TABLE("hws-document-table", '\ue63d'),
    HWS_DOCUMENT_TEXT_1("hws-document-text-1", '\ue636'),
    HWS_DOCUMENT_TEXT_2("hws-document-text-2", '\ue637'),
    HWS_DOCUMENT_TEXT_3("hws-document-text-3", '\ue643'),
    HWS_DOCUMENT_TIME("hws-document-time", '\ue642'),
    HWS_DOCUMENT_UNLOCKED("hws-document-unlocked", '\ue64a'),
    HWS_DOCUMENT_UPLOAD("hws-document-upload", '\ue639'),
    HWS_DOCUMENT_ZIP("hws-document-zip", '\ue66b'),
    HWS_EYE("hws-eye", '\ue615'),
    HWS_EYE_HIDDEN("hws-eye-hidden", '\ue614'),
    HWS_FACE_CLOSED_EYES_OPEN_MOUTH_1("hws-face-closed-eyes-open-mouth-1", '\ue742'),
    HWS_FACE_CLOSED_EYES_OPEN_MOUTH_2("hws-face-closed-eyes-open-mouth-2", '\ue743'),
    HWS_FACE_CLOSED_EYES_OPEN_MOUTH_3("hws-face-closed-eyes-open-mouth-3", '\ue744'),
    HWS_FACE_CLOSED_MEYES("hws-face-closed-meyes", '\ue73e'),
    HWS_FACE_GLASSES("hws-face-glasses", '\ue751'),
    HWS_FACE_MISSING_MOTH("hws-face-missing-moth", '\ue716'),
    HWS_FACE_MOUSTACHE_1("hws-face-moustache-1", '\ue74f'),
    HWS_FACE_MOUSTACHE_2("hws-face-moustache-2", '\ue750'),
    HWS_FACE_OPEN_MOUTH_1("hws-face-open-mouth-1", '\ue71a'),
    HWS_FACE_OPEN_MOUTH_2("hws-face-open-mouth-2", '\ue71b'),
    HWS_FACE_OPEN_MOUTH_EYEBROWS_1("hws-face-open-mouth-eyebrows-1", '\ue738'),
    HWS_FACE_OPEN_MOUTH_EYEBROWS_2("hws-face-open-mouth-eyebrows-2", '\ue739'),
    HWS_FACE_STUCK_OUT_TONGUE_1("hws-face-stuck-out-tongue-1", '\ue731'),
    HWS_FACE_STUCK_OUT_TONGUE_2("hws-face-stuck-out-tongue-2", '\ue732'),
    HWS_FACE_SUNGLASSES("hws-face-sunglasses", '\ue752'),
    HWS_FAKE_GRINNING_FACE_EYEBROWS("hws-fake-grinning-face-eyebrows", '\ue72f'),
    HWS_FILE_3GP("hws-file-3gp", '\ue7ba'),
    HWS_FILE_AAC("hws-file-aac", '\ue7bc'),
    HWS_FILE_AI("hws-file-ai", '\ue792'),
    HWS_FILE_AIFF("hws-file-aiff", '\ue7bb'),
    HWS_FILE_APP("hws-file-app", '\ue786'),
    HWS_FILE_ASP("hws-file-asp", '\ue7a5'),
    HWS_FILE_AVI("hws-file-avi", '\ue7ac'),
    HWS_FILE_BMP("hws-file-bmp", '\ue793'),
    HWS_FILE_C("hws-file-c", '\ue79a'),
    HWS_FILE_CPP("hws-file-cpp", '\ue79d'),
    HWS_FILE_CSS("hws-file-css", '\ue78f'),
    HWS_FILE_DAT("hws-file-dat", '\ue7a7'),
    HWS_FILE_DMG("hws-file-dmg", '\ue7c1'),
    HWS_FILE_DOC("hws-file-doc", '\ue7a0'),
    HWS_FILE_DOCX("hws-file-docx", '\ue7a3'),
    HWS_FILE_DOT("hws-file-dot", '\ue7b2'),
    HWS_FILE_DOTX("hws-file-dotx", '\ue7ae'),
    HWS_FILE_DWG("hws-file-dwg", '\ue794'),
    HWS_FILE_DXF("hws-file-dxf", '\ue79f'),
    HWS_FILE_EPS("hws-file-eps", '\ue795'),
    HWS_FILE_EXE("hws-file-exe", '\ue7ab'),
    HWS_FILE_FLV("hws-file-flv", '\ue7b6'),
    HWS_FILE_GIF("hws-file-gif", '\ue7c4'),
    HWS_FILE_H("hws-file-h", '\ue7aa'),
    HWS_FILE_HTML("hws-file-html", '\ue78e'),
    HWS_FILE_ICS("hws-file-ics", '\ue7a6'),
    HWS_FILE_ISO("hws-file-iso", '\ue7c2'),
    HWS_FILE_JAVA("hws-file-java", '\ue790'),
    HWS_FILE_JPG("hws-file-jpg", '\ue78c'),
    HWS_FILE_KEY("hws-file-key", '\ue78d'),
    HWS_FILE_M4V("hws-file-m4v", '\ue7b5'),
    HWS_FILE_MID("hws-file-mid", '\ue7b9'),
    HWS_FILE_MOV("hws-file-mov", '\ue78b'),
    HWS_FILE_MP3("hws-file-mp3", '\ue789'),
    HWS_FILE_MP4("hws-file-mp4", '\ue78a'),
    HWS_FILE_MPG("hws-file-mpg", '\ue7b7'),
    HWS_FILE_NUMBERS("hws-file-numbers", '\ue784'),
    HWS_FILE_ODP("hws-file-odp", '\ue7ad'),
    HWS_FILE_ODS("hws-file-ods", '\ue7b0'),
    HWS_FILE_ODT("hws-file-odt", '\ue7a1'),
    HWS_FILE_OTS("hws-file-ots", '\ue797'),
    HWS_FILE_OTT("hws-file-ott", '\ue7bf'),
    HWS_FILE_PAGES("hws-file-pages", '\ue785'),
    HWS_FILE_PDF("hws-file-pdf", '\ue788'),
    HWS_FILE_PHP("hws-file-php", '\ue798'),
    HWS_FILE_PNG("hws-file-png", '\ue787'),
    HWS_FILE_PPS("hws-file-pps", '\ue7b1'),
    HWS_FILE_PPT("hws-file-ppt", '\ue7a4'),
    HWS_FILE_PSD("hws-file-psd", '\ue791'),
    HWS_FILE_PY("hws-file-py", '\ue799'),
    HWS_FILE_QUICKTIME("hws-file-quicktime", '\ue7b8'),
    HWS_FILE_RAR("hws-file-rar", '\ue7c3'),
    HWS_FILE_RB("hws-file-rb", '\ue79c'),
    HWS_FILE_RTF("hws-file-rtf", '\ue7b4'),
    HWS_FILE_SQL("hws-file-sql", '\ue79b'),
    HWS_FILE_TGA("hws-file-tga", '\ue79e'),
    HWS_FILE_TGZ("hws-file-tgz", '\ue7c0'),
    HWS_FILE_TIFF("hws-file-tiff", '\ue796'),
    HWS_FILE_TXT("hws-file-txt", '\ue7b3'),
    HWS_FILE_WAV("hws-file-wav", '\ue7bd'),
    HWS_FILE_XLS("hws-file-xls", '\ue7a2'),
    HWS_FILE_XLSX("hws-file-xlsx", '\ue7af'),
    HWS_FILE_XML("hws-file-xml", '\ue7a8'),
    HWS_FILE_YML("hws-file-yml", '\ue7a9'),
    HWS_FILE_ZIP("hws-file-zip", '\ue7be'),
    HWS_FLAG_1("hws-flag-1", '\ue60d'),
    HWS_FLAG_2("hws-flag-2", '\ue60e'),
    HWS_FLAG_3("hws-flag-3", '\ue60f'),
    HWS_FLAG_4("hws-flag-4", '\ue610'),
    HWS_FLASHED_FACE_1("hws-flashed-face-1", '\ue713'),
    HWS_FLASHED_FACE_2("hws-flashed-face-2", '\ue714'),
    HWS_FLASHED_FACE_GLASSES("hws-flashed-face-glasses", '\ue715'),
    HWS_FOLDERS("hws-folders", '\ue65e'),
    HWS_FOLDER_1("hws-folder-1", '\ue65c'),
    HWS_FOLDER_2("hws-folder-2", '\ue65d'),
    HWS_FOLDER_ADD("hws-folder-add", '\ue667'),
    HWS_FOLDER_BOOKMARK("hws-folder-bookmark", '\ue66a'),
    HWS_FOLDER_CANCEL("hws-folder-cancel", '\ue665'),
    HWS_FOLDER_CHECKED("hws-folder-checked", '\ue666'),
    HWS_FOLDER_DOWNLOAD("hws-folder-download", '\ue65f'),
    HWS_FOLDER_ERROR("hws-folder-error", '\ue664'),
    HWS_FOLDER_FORBIDDEN("hws-folder-forbidden", '\ue669'),
    HWS_FOLDER_INFORMATION("hws-folder-information", '\ue653'),
    HWS_FOLDER_LOCKED("hws-folder-locked", '\ue662'),
    HWS_FOLDER_REMOVE("hws-folder-remove", '\ue668'),
    HWS_FOLDER_SEARCH("hws-folder-search", '\ue663'),
    HWS_FOLDER_UNLOCKED("hws-folder-unlocked", '\ue661'),
    HWS_FOLDER_UPLOAD("hws-folder-upload", '\ue660'),
    HWS_FOOTBALL_1("hws-football-1", '\ue69e'),
    HWS_FOOTBALL_2("hws-football-2", '\ue69f'),
    HWS_FULL_MOON("hws-full-moon", '\ue6f4'),
    HWS_GIBBOUS_MOON_1("hws-gibbous-moon-1", '\ue6f7'),
    HWS_GIBBOUS_MOON_2("hws-gibbous-moon-2", '\ue6f9'),
    HWS_GOLF("hws-golf", '\ue6b2'),
    HWS_GRINNING_FACE_1("hws-grinning-face-1", '\ue72c'),
    HWS_GRINNING_FACE_2("hws-grinning-face-2", '\ue747'),
    HWS_GRINNING_FACE_EYEBROWS_1("hws-grinning-face-eyebrows-1", '\ue725'),
    HWS_GRINNING_FACE_EYEBROWS_2("hws-grinning-face-eyebrows-2", '\ue72e'),
    HWS_GRINNING_FACE_TEETH_1("hws-grinning-face-teeth-1", '\ue734'),
    HWS_GRINNING_FACE_TEETH_2("hws-grinning-face-teeth-2", '\ue737'),
    HWS_HALF_MOON_1("hws-half-moon-1", '\ue6f6'),
    HWS_HALF_MOON_2("hws-half-moon-2", '\ue6fa'),
    HWS_HIGH_FIVE("hws-high-five", '\ue756'),
    HWS_HOCKEY_STICK("hws-hockey-stick", '\ue6af'),
    HWS_HOCKEY_STICKS("hws-hockey-sticks", '\ue6b0'),
    HWS_ICE_SKATE("hws-ice-skate", '\ue6c8'),
    HWS_INBOX("hws-inbox", '\ue656'),
    HWS_INBOXES("hws-inboxes", '\ue657'),
    HWS_INBOX_DOCUMENT("hws-inbox-document", '\ue658'),
    HWS_INBOX_DOCUMENT_TEXT("hws-inbox-document-text", '\ue659'),
    HWS_INBOX_DOWNLOAD("hws-inbox-download", '\ue65a'),
    HWS_INBOX_FILLED("hws-inbox-filled", '\ue683'),
    HWS_INBOX_UPLOAD("hws-inbox-upload", '\ue65b'),
    HWS_INFORMATION_1("hws-information-1", '\ue61b'),
    HWS_INFORMATION_2("hws-information-2", '\ue61c'),
    HWS_KEY_1("hws-key-1", '\ue617'),
    HWS_KEY_2("hws-key-2", '\ue618'),
    HWS_KISSING_FACE_1("hws-kissing-face-1", '\ue733'),
    HWS_KISSING_FACE_2("hws-kissing-face-2", '\ue73d'),
    HWS_LAUGHING_FACE_1("hws-laughing-face-1", '\ue71d'),
    HWS_LAUGHING_FACE_2("hws-laughing-face-2", '\ue71e'),
    HWS_LAUGHING_FACE_3("hws-laughing-face-3", '\ue745'),
    HWS_LIGHTNING("hws-lightning", '\ue710'),
    HWS_LOCK("hws-lock", '\ue670'),
    HWS_LOCK_OPEN_1("hws-lock-open-1", '\ue671'),
    HWS_LOCK_OPEN_2("hws-lock-open-2", '\ue672'),
    HWS_LOCK_ROUNDED("hws-lock-rounded", '\ue674'),
    HWS_LOCK_ROUNDED_OPEN_1("hws-lock-rounded-open-1", '\ue675'),
    HWS_LOCK_ROUNDED_OPEN_2("hws-lock-rounded-open-2", '\ue676'),
    HWS_LOCK_STRIPES("hws-lock-stripes", '\ue673'),
    HWS_MAIL_ADD("hws-mail-add", '\ue60b'),
    HWS_MAIL_CANCEL("hws-mail-cancel", '\ue609'),
    HWS_MAIL_CHECKED("hws-mail-checked", '\ue608'),
    HWS_MAIL_ENVELOPE("hws-mail-envelope", '\ue600'),
    HWS_MAIL_ENVELOPE_CLOSED_1("hws-mail-envelope-closed-1", '\ue602'),
    HWS_MAIL_ENVELOPE_CLOSED_2("hws-mail-envelope-closed-2", '\ue605'),
    HWS_MAIL_ENVELOPE_OPEN_1("hws-mail-envelope-open-1", '\ue601'),
    HWS_MAIL_ENVELOPE_OPEN_2("hws-mail-envelope-open-2", '\ue603'),
    HWS_MAIL_ENVELOPE_OPEN_3("hws-mail-envelope-open-3", '\ue604'),
    HWS_MAIL_ENVELOPE_OPEN_4("hws-mail-envelope-open-4", '\ue606'),
    HWS_MAIL_ERROR("hws-mail-error", '\ue607'),
    HWS_MAIL_REMOVE("hws-mail-remove", '\ue60c'),
    HWS_MAIL_FORBIDDEN("hws-mail-forbidden", '\ue60a'),
    HWS_MEDAL_1("hws-medal-1", '\ue6a6'),
    HWS_MEDAL_2("hws-medal-2", '\ue6a7'),
    HWS_MEDAL_3("hws-medal-3", '\ue6b9'),
    HWS_MEDAL_4("hws-medal-4", '\ue6ba'),
    HWS_MIDDLE_FINGER("hws-middle-finger", '\ue754'),
    HWS_MOONRISE("hws-moonrise", '\ue6f1'),
    HWS_MOONSET("hws-moonset", '\ue6f2'),
    HWS_MOON_1("hws-moon-1", '\ue6e4'),
    HWS_MOON_2("hws-moon-2", '\ue6f8'),
    HWS_MOON_STARS("hws-moon-stars", '\ue6e3'),
    HWS_MOVE("hws-move", '\ue6b3'),
    HWS_NEUTRAL_FACE_1("hws-neutral-face-1", '\ue717'),
    HWS_NEUTRAL_FACE_2("hws-neutral-face-2", '\ue721'),
    HWS_NEUTRAL_FACE_EYEBROWS("hws-neutral-face-eyebrows", '\ue727'),
    HWS_NOTE("hws-note", '\ue628'),
    HWS_NOTEBOOK_1("hws-notebook-1", '\ue62f'),
    HWS_NOTEBOOK_2("hws-notebook-2", '\ue630'),
    HWS_NOTEBOOK_3("hws-notebook-3", '\ue631'),
    HWS_NOTEBOOK_4("hws-notebook-4", '\ue632'),
    HWS_NOTEBOOK_LIST("hws-notebook-list", '\ue634'),
    HWS_NOTEBOOK_TEXT("hws-notebook-text", '\ue633'),
    HWS_NOTE_ADD("hws-note-add", '\ue629'),
    HWS_NOTE_CHECKED("hws-note-checked", '\ue62d'),
    HWS_NOTE_IMPORTANT("hws-note-important", '\ue62e'),
    HWS_NOTE_LIST("hws-note-list", '\ue62c'),
    HWS_NOTE_REMOVE("hws-note-remove", '\ue62a'),
    HWS_NOTE_TEXT("hws-note-text", '\ue62b'),
    HWS_ONE_FINGER("hws-one-finger", '\ue768'),
    HWS_ONE_FINGER_CLICK_1("hws-one-finger-click-1", '\ue76d'),
    HWS_ONE_FINGER_CLICK_2("hws-one-finger-click-2", '\ue77b'),
    HWS_ONE_FINGER_DOUBLE_TAP_1("hws-one-finger-double-tap-1", '\ue769'),
    HWS_ONE_FINGER_DOUBLE_TAP_2("hws-one-finger-double-tap-2", '\ue775'),
    HWS_ONE_FINGER_SWIPE("hws-one-finger-swipe", '\ue77d'),
    HWS_ONE_FINGER_SWIPE_DOWN_1("hws-one-finger-swipe-down-1", '\ue767'),
    HWS_ONE_FINGER_SWIPE_DOWN_2("hws-one-finger-swipe-down-2", '\ue783'),
    HWS_ONE_FINGER_SWIPE_HORIZONTALLY("hws-one-finger-swipe-horizontally", '\ue77c'),
    HWS_ONE_FINGER_SWIPE_LEFT_1("hws-one-finger-swipe-left-1", '\ue764'),
    HWS_ONE_FINGER_SWIPE_LEFT_2("hws-one-finger-swipe-left-2", '\ue780'),
    HWS_ONE_FINGER_SWIPE_RIGHT_1("hws-one-finger-swipe-right-1", '\ue765'),
    HWS_ONE_FINGER_SWIPE_RIGHT_2("hws-one-finger-swipe-right-2", '\ue781'),
    HWS_ONE_FINGER_SWIPE_UP_1("hws-one-finger-swipe-up-1", '\ue766'),
    HWS_ONE_FINGER_SWIPE_UP_2("hws-one-finger-swipe-up-2", '\ue782'),
    HWS_ONE_FINGER_TAP_1("hws-one-finger-tap-1", '\ue76a'),
    HWS_ONE_FINGER_TAP_2("hws-one-finger-tap-2", '\ue779'),
    HWS_ONE_FINGER_TAP_HOLD_1("hws-one-finger-tap-hold-1", '\ue76b'),
    HWS_ONE_FINGER_TAP_HOLD_2("hws-one-finger-tap-hold-2", '\ue77a'),
    HWS_PACKAGE("hws-package", '\ue689'),
    HWS_PAPERCLIP("hws-paperclip", '\ue696'),
    HWS_PEN("hws-pen", '\ue684'),
    HWS_PEN_ANGLED("hws-pen-angled", '\ue685'),
    HWS_PRINTER_1("hws-printer-1", '\ue678'),
    HWS_PRINTER_2("hws-printer-2", '\ue679'),
    HWS_PRINTER_TEXT_1("hws-printer-text-1", '\ue67a'),
    HWS_PRINTER_TEXT_2("hws-printer-text-2", '\ue67b'),
    HWS_RAINBOW("hws-rainbow", '\ue6ea'),
    HWS_RAINDROP("hws-raindrop", '\ue6ed'),
    HWS_RAINDROPS("hws-raindrops", '\ue6ec'),
    HWS_ROCK_N_ROLL("hws-rock-n-roll", '\ue755'),
    HWS_SAD_FACE_1("hws-sad-face-1", '\ue719'),
    HWS_SAD_FACE_2("hws-sad-face-2", '\ue722'),
    HWS_SAD_FACE_3("hws-sad-face-3", '\ue72d'),
    HWS_SAD_FACE_4("hws-sad-face-4", '\ue748'),
    HWS_SAD_FACE_5("hws-sad-face-5", '\ue749'),
    HWS_SAD_FACE_6("hws-sad-face-6", '\ue74b'),
    HWS_SAD_FACE_CLOSED_EYES("hws-sad-face-closed-eyes", '\ue74a'),
    HWS_SAD_FACE_EYEBROWS("hws-sad-face-eyebrows", '\ue726'),
    HWS_SAD_FACE_TIGHTLY_CLOSED_EYES("hws-sad-face-tightly-closed-eyes", '\ue73c'),
    HWS_SAILING_BOAT("hws-sailing-boat", '\ue6c1'),
    HWS_SAILING_BOAT_WATER("hws-sailing-boat-water", '\ue6c2'),
    HWS_SEARCH("hws-search", '\ue66d'),
    HWS_SEARCH_MINUS("hws-search-minus", '\ue66f'),
    HWS_SEARCH_PLUS("hws-search-plus", '\ue66e'),
    HWS_SHREDDER("hws-shredder", '\ue67d'),
    HWS_SHUTTLECOCK("hws-shuttlecock", '\ue6b1'),
    HWS_SMILING_FACE_1("hws-smiling-face-1", '\ue718'),
    HWS_SMILING_FACE_2("hws-smiling-face-2", '\ue723'),
    HWS_SMILING_FACE_3("hws-smiling-face-3", '\ue746'),
    HWS_SMILING_FACE_4("hws-smiling-face-4", '\ue74c'),
    HWS_SMILING_FACE_EYEBROWS("hws-smiling-face-eyebrows", '\ue724'),
    HWS_SMIRKING_FACE("hws-smirking-face", '\ue71f'),
    HWS_SMIRKING_FACE_SUNGLASSES("hws-smirking-face-sunglasses", '\ue753'),
    HWS_SNOWFLAKE("hws-snowflake", '\ue712'),
    HWS_SOCCER_BALL("hws-soccer-ball", '\ue69c'),
    HWS_SOCCER_COURT("hws-soccer-court", '\ue69d'),
    HWS_SOCCER_SHOE("hws-soccer-shoe", '\ue6c7'),
    HWS_SPORTS_SHOE("hws-sports-shoe", '\ue6c6'),
    HWS_STAR("hws-star", '\ue616'),
    HWS_STARS("hws-stars", '\ue6ef'),
    HWS_STOP_WATCH_1("hws-stop-watch-1", '\ue6ad'),
    HWS_STOP_WATCH_2("hws-stop-watch-2", '\ue6ae'),
    HWS_STUBBORN_FACE("hws-stubborn-face", '\ue720'),
    HWS_SUN("hws-sun", '\ue6e5'),
    HWS_SUNGLASSES("hws-sunglasses", '\ue6ee'),
    HWS_SUNRISE("hws-sunrise", '\ue6e6'),
    HWS_SUNSET_1("hws-sunset-1", '\ue6e7'),
    HWS_SUNSET_2("hws-sunset-2", '\ue6e8'),
    HWS_SUNSET_3("hws-sunset-3", '\ue6e9'),
    HWS_TABLE_TENNIS("hws-table-tennis", '\ue6ab'),
    HWS_TAG("hws-tag", '\ue690'),
    HWS_TAGS("hws-tags", '\ue691'),
    HWS_TAG_ADD("hws-tag-add", '\ue692'),
    HWS_TAG_CANCEL("hws-tag-cancel", '\ue695'),
    HWS_TAG_CHECKED("hws-tag-checked", '\ue694'),
    HWS_TAG_CORD("hws-tag-cord", '\ue68f'),
    HWS_TAG_REMOVE("hws-tag-remove", '\ue693'),
    HWS_TARGET("hws-target", '\ue6c0'),
    HWS_TARGET_ARROW("hws-target-arrow", '\ue6bf'),
    HWS_TENNIS_BALL_1("hws-tennis-ball-1", '\ue699'),
    HWS_TENNIS_BALL_2("hws-tennis-ball-2", '\ue6a2'),
    HWS_TENNIS_RACKET("hws-tennis-racket", '\ue6a9'),
    HWS_THERMOMETER("hws-thermometer", '\ue70a'),
    HWS_THERMOMETER_FULL("hws-thermometer-full", '\ue70f'),
    HWS_THERMOMETER_HALF("hws-thermometer-half", '\ue70d'),
    HWS_THERMOMETER_LOW("hws-thermometer-low", '\ue70b'),
    HWS_THERMOMETER_QUARTER("hws-thermometer-quarter", '\ue70c'),
    HWS_THERMOMETER_THREE_QUARTERS("hws-thermometer-three-quarters", '\ue70e'),
    HWS_THREE_FINGERS("hws-three-fingers", '\ue772'),
    HWS_THREE_FINGERS_DOUBLE_TAP_1("hws-three-fingers-double-tap-1", '\ue760'),
    HWS_THREE_FINGERS_DOUBLE_TAP_2("hws-three-fingers-double-tap-2", '\ue773'),
    HWS_THREE_FINGERS_SWIPE_DOWN("hws-three-fingers-swipe-down", '\ue771'),
    HWS_THREE_FINGERS_SWIPE_LEFT("hws-three-fingers-swipe-left", '\ue76e'),
    HWS_THREE_FINGERS_SWIPE_RIGHT("hws-three-fingers-swipe-right", '\ue76f'),
    HWS_THREE_FINGERS_SWIPE_UP("hws-three-fingers-swipe-up", '\ue770'),
    HWS_THUMB_DOWN_1("hws-thumb-down-1", '\ue758'),
    HWS_THUMB_DOWN_2("hws-thumb-down-2", '\ue75a'),
    HWS_THUMB_FINGER_TAP("hws-thumb-finger-tap", '\ue76c'),
    HWS_THUMB_UP_1("hws-thumb-up-1", '\ue757'),
    HWS_THUMB_UP_2("hws-thumb-up-2", '\ue759'),
    HWS_TORNADO("hws-tornado", '\ue702'),
    HWS_TRASH_CAN_1("hws-trash-can-1", '\ue619'),
    HWS_TRASH_CAN_2("hws-trash-can-2", '\ue61a'),
    HWS_TROPHY_1("hws-trophy-1", '\ue6a3'),
    HWS_TROPHY_2("hws-trophy-2", '\ue6a5'),
    HWS_TROPHY_ONE("hws-trophy-one", '\ue6a4'),
    HWS_TWO_FINGERS("hws-two-fingers", '\ue75f'),
    HWS_TWO_FINGERS_DOUBLE_TAP("hws-two-fingers-double-tap", '\ue77e'),
    HWS_TWO_FINGERS_RESIZE_IN("hws-two-fingers-resize-in", '\ue762'),
    HWS_TWO_FINGERS_RESIZE_OUT("hws-two-fingers-resize-out", '\ue761'),
    HWS_TWO_FINGERS_ROTATE("hws-two-fingers-rotate", '\ue763'),
    HWS_TWO_FINGERS_SWIPE_DOWN_1("hws-two-fingers-swipe-down-1", '\ue75e'),
    HWS_TWO_FINGERS_SWIPE_DOWN_2("hws-two-fingers-swipe-down-2", '\ue776'),
    HWS_TWO_FINGERS_SWIPE_LEFT_1("hws-two-fingers-swipe-left-1", '\ue75b'),
    HWS_TWO_FINGERS_SWIPE_LEFT_2("hws-two-fingers-swipe-left-2", '\ue778'),
    HWS_TWO_FINGERS_SWIPE_RIGHT_1("hws-two-fingers-swipe-right-1", '\ue75c'),
    HWS_TWO_FINGERS_SWIPE_RIGHT_2("hws-two-fingers-swipe-right-2", '\ue777'),
    HWS_TWO_FINGERS_SWIPE_UP_1("hws-two-fingers-swipe-up-1", '\ue75d'),
    HWS_TWO_FINGERS_SWIPE_UP_2("hws-two-fingers-swipe-up-2", '\ue774'),
    HWS_TWO_FINGERS_TAP("hws-two-fingers-tap", '\ue77f'),
    HWS_UMBRELLA("hws-umbrella", '\ue6eb'),
    HWS_UNAMUSED_FACE_TIGHTLY_CLOSED_EYES("hws-unamused-face-tightly-closed-eyes", '\ue73b'),
    HWS_VOLLEYBALL("hws-volleyball", '\ue6ac'),
    HWS_VOLLEYBALL_WATER("hws-volleyball-water", '\ue6bd'),
    HWS_WARNING("hws-warning", '\ue705'),
    HWS_WEIGHTS("hws-weights", '\ue6a8'),
    HWS_WHISTLE("hws-whistle", '\ue6bc'),
    HWS_WIND("hws-wind", '\ue6f3'),
    HWS_WIND_TURBINE("hws-wind-turbine", '\ue711'),
    HWS_WINKING_FACE_1("hws-winking-face-1", '\ue71c'),
    HWS_WINKING_FACE_2("hws-winking-face-2", '\ue72a'),
    HWS_WORRIED_FACE_3("hws-worried-face-3", '\ue729'),
    HWS_WORRIED_FACE_EYEBROWS("hws-worried-face-eyebrows", '\ue730'),
    HWS_WORRIED_FACE_TEETH("hws-worried-face-teeth", '\ue736'),
    HWS_ZIP("hws-zip", '\ue66c');

    private String description;
    private char code;
    HawconsStroke(String description, char code) {
        this.description = description;
        this.code = code;
    }

    public static HawconsStroke findByDescription(String description) {
        for (HawconsStroke font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public char getCode() {
        return code;
    }
}